org.apache.storm.container.cgroup

## Enum SubSystemType

- java.lang.Object
- - java.lang.Enum<SubSystemType>
  - - org.apache.storm.container.cgroup.SubSystemType

- All Implemented Interfaces:
    Serializable, Comparable<SubSystemType>

      public enum SubSystemType
      extends Enum<SubSystemType>

  A enum class to described the subsystems that can be used.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `blkio`
    `cpu`
    `cpuacct`
    `cpuset`
    `devices`
    `freezer`
    `memory`
    `net_cls`
    `net_prio`
    `perf_event`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SubSystemType` | `getSubSystem(String str)`
    `static SubSystemType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SubSystemType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### blkio

          public static final SubSystemType blkio

    - #### cpu

          public static final SubSystemType cpu

    - #### cpuacct

          public static final SubSystemType cpuacct

    - #### cpuset

          public static final SubSystemType cpuset

    - #### devices

          public static final SubSystemType devices

    - #### freezer

          public static final SubSystemType freezer

    - #### memory

          public static final SubSystemType memory

    - #### perf_event

          public static final SubSystemType perf_event

    - #### net_cls

          public static final SubSystemType net_cls

    - #### net_prio

          public static final SubSystemType net_prio

  - ### Method Detail

    - #### values

          public static SubSystemType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SubSystemType c : SubSystemType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SubSystemType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSubSystem

          public static SubSystemType getSubSystem(String str)

Copyright © 2021 The Apache Software Foundation. All rights reserved.